Bug 477236 - CPU stuck: soft lockup
CPU stuck: soft lockup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 14:19 EST by Dimitri Maziuk
Modified: 2009-07-14 11:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:53:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (10.80 KB, application/x-gzip)
2008-12-19 14:19 EST, Dimitri Maziuk
no flags Details
log (479.83 KB, application/x-gzip)
2008-12-19 14:20 EST, Dimitri Maziuk
no flags Details
C++ program to enable workarounds for the TLB Bug and other AMD K10 errata - use at your own risk! (5.07 KB, text/plain)
2009-05-09 19:23 EDT, Alastair
no flags Details

  None (edit)
Description Dimitri Maziuk 2008-12-19 14:19:07 EST
Description of problem:

16-way  (4x4) Opteron (Supermicro mobo) locked up 2 hours after OS install.

Version-Release number of selected component (if applicable):

kernel-2.6.27.7-53.fc9.x86_64, current versions of everything as of 2008/12/19 (ran yum update after initial install)

Additional info:

See attached.

Disk i/o seems to be the trigger: it happened when makewhatis ran for the first time.
Comment 1 Dimitri Maziuk 2008-12-19 14:19:53 EST
Created attachment 327488 [details]
dmesg
Comment 2 Dimitri Maziuk 2008-12-19 14:20:20 EST
Created attachment 327489 [details]
log
Comment 3 Alastair 2009-05-09 19:16:00 EDT
You may have run into the TLB bug.  I have just been having trouble with that myself, I believe.  If you are happy to try it at your own risk, the following attachment may help.  You might need to add a line to the switch statement for your cpuid: stepping "03" (from your log) isn't listed in AMD's K10 Revision Guide.
Comment 4 Alastair 2009-05-09 19:23:13 EDT
Created attachment 343243 [details]
C++ program to enable workarounds for the TLB Bug and other AMD K10 errata - use at your own risk!
Comment 5 Dimitri Maziuk 2009-05-10 11:31:41 EDT
Interesting. Thing is, we "upgraded" machines that did lock up (not all did -- from about 20 bough at the same time) from Fedora 9 to CentOS 5 and they've been up for a couple of months now. So I'm filing this for future refence, but at this moment they're not broken anymore. Thanks.
Comment 6 Alastair 2009-05-22 08:11:20 EDT
Update: I have just finished testing the same CPU (B3 stepping) on a Foxconn A6VMX motherboard (without enabling the erratum 298 workarounds) and it passed just fine.  So I need to use the previously attached code to prevent lockups on one manufacturer's motherboard, but not on another's.  Presumably a BIOS or hardware bug somewhere in the first system.  Glad your systems are working too.
Comment 7 Bug Zapper 2009-06-09 23:26:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:53:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.